Summary: A font viewer for Type 1 and TrueType fonts.
Name: gfontview
Version: 0.3.4
Release: 1
Copyright: GPL
Group: X11/Utilities
Source: http://www.geocities.com/SiliconValley/Foothills/1458/gfontview-0_3_4.tgz
Source1: gfontview.wmconfig
URL: http://www.geocities.com/SiliconValley/Foothills/1458/
BuildRoot: /tmp/gfontview-root
Vendor: Roberto Alameda <roberto@myokay.net>
Packager: Katherine Lim <Katherine.Lim@infotech.monash.edu.au>
Requires: gtk+ >= 1.2, t1lib >= 0.9, freetype >= 1.2

%description
This is an ALPHA preliminary release.

gfontview is a Font Viewer for outline fonts (PostScript Type 1 and TrueType). 
It will display all fonts present in the chosen directory in a list,
with a preview of the font also present in the main window.

Compiled with gtk+ 1.2.6; freetype 1.2; t1lib 0.9.1; libungif 4.1.0

%prep
%setup

%build
cp .gfontviewrc gfontviewrc
export CFLAGS=$RPM_OPT_FLAGS
./configure --prefix=$RPM_BUILD_ROOT/usr --with-libungif --with-fontdir=/usr/share/fonts/default/Type1
make

%install
make install
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/gfontview.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gfontview

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/gfontview
%config /etc/X11/wmconfig/gfontview
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO gfontviewrc gfontview.lsm

